Subject: Ticket Assigned - VERY late order refund
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 19 Sep 2020 05:51:45 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  VERY late order refund my order number is 8387443302
I have placed an order on the 12 of june and I didn’t receive any conformation to pick up the order yet! I keep calling the call center to cancel my order and get a refund as it has been so long and i no longer need the things but they just keep telling me to wait. I don’t believe that in order to cancel an order and get a refund it will take all this time!! This so unacceptable! i keep receiving emails from you that i will get help on this however nothing is happening! 
 please help me on this as soon as possible!

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1492210